OBRateData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Attributes
OBRateData Class Reference

`#include <openbabel/kinetics.h>`

Inheritance diagram for OBRateData:
[legend]

List of all members.

## Public Types
enum | rate_type { A, n, E }
enum | reaction_type { ARRHENIUS = 55555, LINDERMANN, TROE, SRI, THREEBODY }
## Public Member Functions
virtual OBGenericData * | Clone (OBBase *parent) const
| OBRateData ()
double | GetRate (rate_type n) const
void | SetRate (rate_type n, const double val)
double | GetLoRate (rate_type n) const
void | SetLoRate (rate_type n, const double val)
double | GetTroeParam (int n) const
void | SetTroeParams (int n, const double val)
void | SetEfficiency (std::string id, double Eff)
double | GetEfficiency (std::string id)
bool | GetNextEff (std::string &id, double &Eff)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Public Attributes
reaction_type | ReactionType
## Protected Attributes
double | Rates [3]
double | LoRates [3]
double | TroeParams [4]
std::map< std::string, double > | Efficiencies
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Holds rate constant data for OBReaction.

The data is in a form used by CHEMKIN, at least the original free versions developed by Sandia Labs. Cantera is a GPL chemical kinetics program with similar capabilities. Used by chemkin format and cml reaction format

## Member Enumeration Documentation

enum rate_type

Enumerator:

  A |
  n |
  E |

enum reaction_type

Enumerator:

  ARRHENIUS |
  LINDERMANN |
  TROE |
  SRI |
  THREEBODY |

## Constructor & Destructor Documentation

OBRateData | ( |  | ) | `[inline]`

Referenced by OBRateData::Clone().

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * | parent | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

double GetRate | ( | rate_type | n | ) | const`[inline]`

void SetRate | ( | rate_type | n,
|  | const double | val
| ) |  | `[inline]`

double GetLoRate | ( | rate_type | n | ) | const`[inline]`

void SetLoRate | ( | rate_type | n,
|  | const double | val
| ) |  | `[inline]`

double GetTroeParam | ( | int | n | ) | const`[inline]`

void SetTroeParams | ( | int | n,
|  | const double | val
| ) |  | `[inline]`

void SetEfficiency | ( | std::string | id,
|  | double | Eff
| ) |  | `[inline]`

double GetEfficiency | ( | std::string | id | ) | `[inline]`

bool GetNextEff | ( | std::string & | id,
|  | double & | Eff
| ) |  | `[inline]`

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBPairData, and OBCommentData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

double Rates[3]`[protected]`

Referenced by OBRateData::GetRate(), OBRateData::OBRateData(), and OBRateData::SetRate().

double LoRates[3]`[protected]`

Referenced by OBRateData::GetLoRate(), OBRateData::OBRateData(), and OBRateData::SetLoRate().

double TroeParams[4]`[protected]`

Referenced by OBRateData::GetTroeParam(), OBRateData::OBRateData(), and OBRateData::SetTroeParams().

std::map<std::string,double> Efficiencies`[protected]`

Referenced by OBRateData::GetEfficiency(), OBRateData::GetNextEff(), and OBRateData::SetEfficiency().

reaction_type ReactionType

Referenced by OBRateData::OBRateData().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following file:

- kinetics.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines